#include<stdio.h>
int n,x[1069];

bool ok1(int val)
{
	int i;
	for(i=1;i<=n && val>=0;i++)
		val-=(val/2+x[i]);
	return val==0;
}

bool ok2(int val)
{
	int i;
	for(i=1;i<=n && val>=0;i++)
		val-=((val+1)/2+x[i]);
	return val==0;
}

int main()
{
	int i,min,max,s=0;
	
	freopen("cos.in","r",stdin);
	freopen("cos.out","w",stdout);
	
	scanf("%d",&n);
	for(i=1;i<=n;i++)
	{
		scanf("%d",&x[i]);
		s+=x[i];
	}
	for(min=s;ok1(min)==0;min++);
	for(i=min+1;i<=15000;i++)
		if(ok2(i))
			max=i;
	printf("%d\n%d",max,min);
	return 0;
}
		